
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android之Button自定义点击效果 / iVAN</title>

    <meta name="description" content="Android之Button自定义点击效果         我们在界面上经常会用到button按钮,但通常button点击后看不到点击的效果,如果用户连续点击了两次,就会报NAR错误,这样交互性就比较差了.如果我们自定义了button点击效果,比如我们点击了button能让我们看到我们确实点击了button按钮,这样就会有效的避免重复点击了.               自定义点击效果有两种方式,一种是在xml中定义,另一种是在代码中定义.              首先看一下如何在xml中定义:              在drawab">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android之Button自定义点击效果</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>        我们在界面上经常会用到button按钮，但通常button点击后看不到点击的效果，如果用户连续点击了两次，就会报NAR错误，这样交互性就比较差了。如果我们自定义了button点击效果，比如我们点击了button能让我们看到我们确实点击了button按钮，这样就会有效的避免重复点击了。<br />
<br />              自定义点击效果有两种方式，一种是在xml中定义，另一种是在代码中定义。</p>
<p>             首先看一下如何在xml中定义：</p>
<p>             在drawable下新建selector.xml文件：</p>
<p>         </p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">copy</a></p>
<ol>
<li>&lt;?xml version="1.0" encoding="utf-8"?&gt;  </li>
<li>&lt;selector xmlns:android="http://schemas.android.com/apk/res/android"&gt;  </li>
<li>  </li>
<li>    &lt;item android:drawable="@drawable/button_press" android:state_pressed="true"/&gt;  </li>
<li>    &lt;item android:drawable="@drawable/button_nomal" android:state_focused="false" android:state_pressed="false"/&gt;  </li>
<li>    &lt;item android:drawable="@drawable/button_focus"  android:state_focused="true"/&gt;  </li>
<li>    &lt;item android:drawable="@drawable/button_nomal" android:state_focused="false"/&gt;  </li>
<li>  </li>
<li>&lt;/selector&gt;  </li>
</ol>
<p>     定义了两种状态 一种是按下  一种是获得焦点。  drawable分别引用了这三张图片<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaGkuY3Nkbi5uZXQvYXR0YWNobWVudC8yMDExMTIvMTIvMF8xMzIzNjkzMTg0cGVMZS5naWY=.jpg"></p>
<p>     </p>
<p>      然后在main.xml下添加button按钮</p>
<p>   </p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">copy</a></p>
<ol>
<li>&lt;Button  </li>
<li> android:id="@+id/button1"  </li>
<li> android:layout_width="wrap_content"  </li>
<li> android:layout_height="wrap_content"  </li>
<li> android:text="button效果演示"  </li>
<li> android:background="@drawable/selector" /&gt;   </li>
</ol>
<p>          在MainActivtiy中得到button<br />
<br />    </p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">copy</a></p>
<ol>
<li>Button button1=(Button) this.findViewById(R.id.button1);  </li>
<li>        button1.setOnClickListener(new View.OnClickListener() {  </li>
<li>              </li>
<li>            @Override  </li>
<li>            public void onClick(View v) {  </li>
<li>                // TODO Auto-generated method stub  </li>
<li>                Toast.makeText(getApplicationContext(), "你点击了button按钮", Toast.LENGTH_SHORT).show();  </li>
<li>            }  </li>
<li>        });  </li>
</ol>
<p>            下面看下点击效果：<br />
<br />           点击button前：</p>
<p>      <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaGkuY3Nkbi5uZXQvYXR0YWNobWVudC8yMDExMTIvMTIvMF8xMzIzNjkzNDA3OGVmOC5naWY=.jpg"></p>
<p>       当按下button按钮时：</p>
<p>           <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaGkuY3Nkbi5uZXQvYXR0YWNobWVudC8yMDExMTIvMTIvMF8xMzIzNjkzNDMyR1M4bC5naWY=.jpg"></p>
<p>         接下来 看下第二种实现方式，在代码中实现：</p>
<p>        首先在main.xml中添加：</p>
<p>     </p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">copy</a></p>
<ol>
<li>&lt;Button  </li>
<li>     android:id="@+id/button2"  </li>
<li>     android:layout_width="wrap_content"  </li>
<li>     android:layout_height="wrap_content"  </li>
<li>     android:text="button效果演示"  </li>
<li>     android:background="@drawable/button_nomal"/&gt;  </li>
</ol>
<p>         <br />
  接下面在MainActivity中实现：<br />
<br />    </p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/wangkuifeng0118/article/details/7064781#" rel="external nofollow noreferrer">copy</a></p>
<ol>
<li>Button button2=(Button) this.findViewById(R.id.button2);  </li>
<li>       button2.setOnTouchListener(new OnTouchListener() {  </li>
<li>          </li>
<li>        @Override  </li>
<li>        public boolean onTouch(View v, MotionEvent event) {  </li>
<li>            // TODO Auto-generated method stub  </li>
<li>            if(event.getAction()==MotionEvent.ACTION_DOWN){  </li>
<li>                v.setBackgroundResource(R.drawable.button_press);  </li>
<li>            }else if(event.getAction()==MotionEvent.ACTION_UP){  </li>
<li>                v.setBackgroundResource(R.drawable.button_nomal);  </li>
<li>            }  </li>
<li>            return false;  </li>
<li>        }  </li>
<li>    });  </li>
</ol>
<p>          在这类绑定了button的OnTouchListener监听，因为OnClickListener继承了OnTouchListener。运行效果和上面一样，这里不做过多解释。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 21:28:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android之Button自定义点击效果的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zexmejp.html" rel="bookmark">Android中的Button自定义点击效果实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一1.放在drawable下的selector.xml文件 复制代码 代码如下: &lt;android=&quot;http://schemas.android.com/apk/res/Android&quot;&gt;    android:drawable=&quot;@drawable/temp2&quot; /&gt; 2.布局文件main.xml 复制代码 代码如下: &lt;http://schemas.android.com/apk/res/android&quot;    andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAl1jJb.html" rel="bookmark">Android中的Button自定义点击效果实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一1.放在drawable下的selector.xml文件复制代码 代码如下:&lt;android=&quot;http://schemas.android.com/apk/res/Android&quot;&gt; android:drawable=&quot;@drawable/temp2&quot; /&gt; 2.布局文件main.xml复制代码 代码如下:&lt;http://schemas.android.com/apk/res/android&quot;    android:orie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8YE6Zz.html" rel="bookmark">radiobutton-小米2a&comma;2s上 RadioButton自定义点击效果，会有很宽的默认间距</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 小米2a,2s上 RadioButton自定义点击效果,会有很宽的默认间距 小米2a,2s上 RadioButton自定义点击效果,会有很宽的默认间距 遇到个很奇葩的问题,小米2a,2s上 RadioButton自定义点击效果后,默认会有个很宽的间距,在其他手机都没有这个间距.. xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:layout_width=&quot;match_parent&quot; androi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p56j1az.html" rel="bookmark">Android实现水波纹点击效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android实现水波纹点击效果只在Android5.0以上版本有效,水波纹点击效果代码供大家参考,具体内容如下 圆角背景的水波纹效果(如上图) 1. 定义一个普通圆角背景的xml; rounded_corners.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;shape xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX2D6yb.html" rel="bookmark">Android开发设置RadioButton点击效果的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发设置RadioButton点击效果的方法.分享给大家供大家参考,具体如下: 在安卓开发中用到底部菜单栏 需要用到RadioButton这个组件 实际应用的过程中,需要对按钮进行点击,为了让用户知道是否点击可这个按钮,可以设置点击后 ,该按钮的颜色或者背景发生变化. layout中这部分的代码为: &lt;RadioButton android:id=&quot;@+id/radio_button0&quot; android:layout_height=&quot;fill			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7V0mp.html" rel="bookmark">Android中的Button、ImageButton自定义点击效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Button时为了让用户有&quot;按下&quot;的效果,有两种实现方式: 1.在代码里面. imageButton.setOnTouchListener(new OnTouchListener(){ @Override public boolean onTouch(View v, MotionEvent event) { if(event.getAction() == MotionEvent.ACTION_DOWN){ //更改为按下时的背景图片 v.setBackgroundResource(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24GKQp.html" rel="bookmark">Android对话框的自定义及透明效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				着手点在于Dialog,如要透明效果,则需要使用自定义的style,去除背景图片.参照代码     &lt;style name=&quot;progress_dialog&quot; parent=&quot;@android:style/Theme.Dialog&quot;&gt;           &lt;item name=&quot;android:windowFrame&quot;&gt;@null&lt;/item&gt;           &lt;item name=&quot;and			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEAxAM.html" rel="bookmark">Android自定义button点击效果的两种方式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在界面上经常会用到button按钮,但通常button点击后看不到点击的效果,如果用户连续点击了两次,就会报NAR错误,这样交互性就比较差了.如果我们自定义了button点击效果,比如我们点击了button能让我们看到我们确实点击了button按钮,这样就会有效的避免重复点击了. 自定义点击效果有两种方式,一种是在xml中定义,另一种是在代码中定义. 首先看一下如何在xml中定义: 在drawable下新建selector.xml文件:          &lt;?xml version=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymV6dM.html" rel="bookmark">Android自定义button点击效果的两种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在界面上经常会用到button按钮,但通常button点击后看不到点击的效果,如果用户连续点击了两次,就会报NAR错误,这样交互性就比较差了.如果我们自定义了button点击效果,比如我们点击了button能让我们看到我们确实点击了button按钮,这样就会有效的避免重复点击了. 自定义点击效果有两种方式,一种是在xml中定义,另一种是在代码中定义. 首先看一下如何在xml中定义: 在drawable下新建selector.xml文件: &lt;?xml version=&quot;1.0&quot;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx8vGM.html" rel="bookmark" class="title">关于MS数据仓库备份</a>
					<div>
						备份|数据 1:数据仓库架构备份包括数据库的架构和OLAP的架构:数据库中包括维表.事实表以及其他临时或控制类表,其结构通过&quot;生成SQL脚本&quot;来生成.注意:其主键.索引等都要生成: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL7qOb.html" rel="bookmark" class="title">使用jqMobi开发app基础：a标签的使用</a>
					<div>
						a标签,在AFUI中添加了几个很特殊的属性. 1 data-transition表示panel如何出现,有一定的动画效果. 例如: data-transition=&quot;pop&quot; 可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrK04p.html" rel="bookmark" class="title">Excel 2007中进行日期混合排序</a>
					<div>
						一位同事在使用Excel 2007创建表格的时候遇到一个问题:将Excel 2007中的一列日期按照年份从新 到旧的顺序来排列,与此同时还要在同一年份中的日期必须按照时间顺序来排列. 具体的解决办法如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOBKkM.html" rel="bookmark" class="title">如何批量删除Excel空行</a>
					<div>
						我们在利用Excel统计与分析对象时,数据的录入工作不可能一蹴而就,记录的添加.删除.剪切.合并是少不了的,在经过多次的编辑修改过程之后,在表格中往往会出现许多的空行.这些空行的存在既不美观,同时也影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrL4Pp.html" rel="bookmark" class="title">Excel中无法进行求和运算</a>
					<div>
						  在Excel编辑数据的时候,不能进行求和运算. 这是因为在编辑数据的时候,更改了字段的数值,导致求和字段的所有单元格中的数据没有变化,造成了不能运算的情况. 可以选择&quot;工具&quot;→ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNj10M.html" rel="bookmark" class="title">Win7中system idle process是什么进程</a>
					<div>
						  Win7系统中的system idle process是什么进程. 步骤如下: 如上图所示,我们会在任务管理器中找到System Idle Process 进程,那么System Idle Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXyNep.html" rel="bookmark" class="title">笔记本散热不好怎么办&quest;</a>
					<div>
						  夏季即将来临,遇到天气火热,很多使用笔记本的朋友都会遇到笔记本发热的问题.下面我们就看看笔记本散热的解决方法吧. 工具/原料 笔记本电脑 螺丝刀 笔记本散热解决方法第一步:清洁散热模组 1.笔记本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e64gb.html" rel="bookmark" class="title">电脑屏保快捷键</a>
					<div>
						  电脑屏保快捷键默认是没有的,如果你要是想要使用这个快捷键,那你就必须要自己的调出来.下面就来讲下两种方法来设置电脑屏保快捷键: 第一种方法: 1.在计算机的Windows/system文件夹下搜索 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjEyvb.html" rel="bookmark" class="title">framebuffer-怎么设置帧缓冲区透明</a>
					<div>
						问题描述 怎么设置帧缓冲区透明 我的QT对话框后面是采集的视频,我想让Qt所在的framebuffer设置成透明的,这样就能看到后面的视频了!!!不胜感激!! 解决方案 http://blog.csd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6VOBz.html" rel="bookmark" class="title">RxJava 是什么</a>
					<div>
						a library for composing asynchronous and event-based programs using observable sequences for the Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7eJPp.html" rel="bookmark" class="title">servlet-HTTP Status 500 - Servlet&period;init&lpar;&rpar;</a>
					<div>
						问题描述 HTTP Status 500 - Servlet.init() HTTP Status 500 - Servlet.init() for servlet springmvc threw e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrJ0QM.html" rel="bookmark" class="title">008&lowbar;《Delphi6程序设计教程》</a>
					<div>
						&lt;Delphi6程序设计教程&gt; Delphi 教程 系列书籍 (008) &lt;Delphi6程序设计教程&gt; 网友(邦)整理 EMail: shuaihj@163.com 下载地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwRLyp.html" rel="bookmark" class="title">owl-s api中的例子有错</a>
					<div>
						问题描述 owl-s api中的例子有错 例子中的owl文件访问不到(http://www.mindswap.org/2004/owl-s/1.1/BookFinder.owl),请问在哪里可以下载这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRR63b.html" rel="bookmark" class="title">&lbrack;XMOVE自主设计的体感方案&rsqb; 历代版本系统介绍（二）X-MOVE2&period;0</a>
					<div>
						  编者注: X-MOVE是作者在业余时间于2010年6月份启动的以运动传感开发,算法和应用的平台,目前已经发展了三个版本,第四版的开发接近尾声.发布在博客园仅为交流技术,不存在商业目的,作者保留一切 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZlLZp.html" rel="bookmark" class="title">检索 COM 类工厂中 CLSID 为 &lbrace;&rcub; 的组件失败，原因是出现以下错误&colon; 80040154 没有注册类 &lpar;异常来自 HRESULT&colon;0x80040154</a>
					<div>
						问题描述 各位大神,小弟初学asp.net,部署时遇到个问题,请指点一下...开发环境:win64位,vs2010程序中引用了一个ocx控件,在vs中执行没有问题,但是部署到iis下后,执行就报以下错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnqRNM.html" rel="bookmark" class="title">redis分布式锁，无须设置有效期，自动检测hold锁的节点是否存活</a>
					<div>
						1.有一个独立的keeplive守护线程保证节点存活,频率是n. 2.节点存活信息由固定前置+mac+进程id+进程启动时间,保证节点重启问题. 3. 锁的信息由固定前置+mac+进程id+进程启动时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNYgGM.html" rel="bookmark" class="title">用ITextSharp给pdf文档加水印在FireFox下水印消失并且不允许打印功能失效</a>
					<div>
						问题描述 用ITextSharp给pdf文档加水印在FireFox下水印消失并且不允许打印功能失效有没有大神遇到过这种问题?或者C#有没有其它的方法给pdf加水印,10点上线回帖!谢谢这个是在goog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjKNWM.html" rel="bookmark" class="title">c&num;如何将console控制台程序做成系统服务，还可以调出控制台？（求详细资料）</a>
					<div>
						问题描述 现在做了一个控制台console程序,但是希望能做成系统服务,搜了一下资料说能做一个空的系统服务,把console嵌套进去,但不够详细,还是不清楚.c另外,还需要可以调出控制台?求详细资料, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60JELz.html" rel="bookmark" class="title">java中json对象是如何创建或者转换出来的</a>
					<div>
						问题描述 java中json对象是如何创建或者转换出来的 可以像类的对象那样子new出来吗,类的对象和json对象有何区别和联系,不好意思在csdn高手云集的地方问这么新手的问题 解决方案 是从jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q847p.html" rel="bookmark" class="title">PHP 之Section与Cookie使用总结&lowbar;php技巧</a>
					<div>
						SESSION与COOKIE区别: Session 将信息保存在服务器上.服务器在接受到唯一的SESSION_ID后,根据这个ID获取相关数据,然后将信息传递到客户端(浏览器). Cookie 是将所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOYr7b.html" rel="bookmark" class="title">基于JavaScript实现TAB标签效果&lowbar;javascript技巧</a>
					<div>
						 js实现tab标签效果,在项目中经常用到,今天抽点时间把我写的js实现tab标签效果源码分享给大家,对js tab标签代码需要的朋友参考下 废话不多说了,直接给大家贴代码了: &lt;html&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wxd4z.html" rel="bookmark" class="title">互联网现在绝大多数中大型网站都是围绕在几个巨头身边</a>
					<div>
						在论坛里总能看到很多站长宣传个人网站完蛋的言论,互联网现在绝大多数中大型网站都是围绕在几个巨头身边,相互之间形成同盟,而草根个人站长很难在这些阵营的夹缝中取得一丝好处,所以这些草根个人站长就注定要消失 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBVNAb.html" rel="bookmark" class="title">VBScript 剪贴板抓取URL并在浏览器中打开&lowbar;vbs</a>
					<div>
						您好,CL.这是很有趣的问题,或者我们应当说,这是两个很有趣的问题.因为您实际上问了两个问题.第一个问题很简单:我可以使用脚本打开特定的 Web 站点吗?您大概已经知道答案了,我可以大声地回答您,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWwmWp.html" rel="bookmark" class="title">广电电视操作系统 TVOS 1&period;0 是基于 Android</a>
					<div>
						广电总局发布的电视操作系统TVOS1.0很可能是一个Android定制版.&lt;新京报&gt;报道,TVOS1.0 操作系统是国家新闻出版广电总局组织广播科学院和一些研发单位共同研发完成,历时近3年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9vkjKp.html" rel="bookmark" class="title">java中abstract class和interface学习笔记</a>
					<div>
						abstract class和interface是Java语言中对于抽象类定义进行支持的两种机制,正是由于这两种机制的存在,才赋予了Java强大的面向对象能力.abstract class和inter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnOxmWz.html" rel="bookmark" class="title">戴尔中国捐赠200万美元用于青少年教育</a>
					<div>
						11月24日下午消息,戴尔在中国启动了其&quot;全球青少年互联创未来&quot;项目,该全球性项目旨在支持落后地区青少年的教育和数字融合.作为该项目在中国的合作伙伴--中国教育发展基金会和中国青少 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnOnjKz.html" rel="bookmark" class="title">jquery插件开发之实现md5插件&lowbar;jquery</a>
					<div>
						方法返回的是一串十进制数,在jquery1.9.2下测试通过. 复制代码 代码如下: (function($){ $.md5 = function(o) {  if(null === o) {   r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvP7lp.html" rel="bookmark" class="title">java swing Jtable 求细节解析</a>
					<div>
						问题描述 问题:增加一列和删除一列中用到的for循环.具体有什么用.importjava.awt.*;importjava.awt.event.ActionEvent;importjava.awt.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baaoeQb.html" rel="bookmark" class="title">组织和企业如何规避网上信息被黑客盗取</a>
					<div>
						据外媒报道,密歇根州立大学11月20日证实数据库遭黑客入侵,此数据库包含 1970 年至2016 年在校.往届学生和雇员的近40万条个人信息.社会保障号码等,其中有 449 份档案已被黑客获取. 虽然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPXWPZp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;网络女主播&rdquo;抢人大战一触即发 在线演艺平台寻求突破</a>
					<div>
						在线演艺界的&quot;3Q大战&quot;一触即发.近日,网易视频秀场以一纸&quot;Top主播招募声明&quot;,正式挑战行业元老欢聚时代(YY).而记者获悉,另一家行业大佬酷狗繁星网也开出优 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
